
<HTML>
<HEAD>
<TITLE>DL Visualize - Tutorials</TITLE>
</HEAD>
<BODY BGCOLOR="#FFFFFF">

<center><H2> DLV Tutorial - Inserting an Atom </H2></center>

<p>
This tutorial describes how to use DLV to insert an atom into a model. As an
example we shall insert a S atom onto the MgO (111) slab.
</p>

<p>
<ol>
<li> Make sure the model you wish to add the atom to is selected.
</li>
<li> Select the <b>Edit -> Model -> Insert Atom</b> menu item. This panel
     will appear
     <br><br>
     <center><img src="../../images/insert/name.png"></center>
     <br>
     For convenience we will display 4 cells - see
       <a href="../display/ncells.html">
     Changing the number of displayed cells</a>.
     <br><br>
     <center><img src="../../images/insert/replicate.png"></center>
     <br>
     Enter a name for the new model and the panel will change.</li>
<li> Select the atom you want to insert from the periodic table buttons
     <br><br>
     <center><img src="../../images/insert/sulphur.png"></center>
     <br>
     This is inserted at (0, 0, 0) by default
     <br><br>
     <center><img src="../../images/insert/insert.png"></center>
     <br>
</li>
<li> We will insert the S atom in the 3 fold site above the Mg atoms.
     Rather than calculating these coordinates we will let DLV
     do the work. Select the 3 O atoms on the surface (since they are all
     symmetry copies they will all change colour when the first is selected
     but you must click on the other 2 as well).
     <br><br>
     <center><img src="../../images/insert/select.png"></center>
     <br>
<li> Now click on the "Calculate from Selected Atoms" button. DLV will generate
     the coordinates of the 3 fold hollow and move the S there.
     <br><br>
     <center><img src="../../images/insert/calc.png"></center>
     <br>
</li>
<li> The S atom is currently at the same height as the surface O atoms, so
     we will add 1 angstrom to its z coordinate to raise it above the surface
     <br><br>
     <center><img src="../../images/insert/coords.png"></center>
     <br>
     The result (rotated to show the layers) is
     <br><br>
     <center><img src="../../images/insert/raise.png"></center>
     <br>
</li>
<li> Select <b>OK</b> to accept the completed model. The insert atom panel
     will disappear. (You can repeat steps 3 to 6 as many times as you like
     before accepting the model).
</li>
</ol>
</p>

<H4> Advanced options </H4>

<p>
<ul>
<li> If the the Symmetry Copies toggle on the toolbar is off then a single
     atom is inserted at the specified location without any symmetry copies
     in the cell. This will lower the symmetry of the structure.
     (e.g. in the above example there would be no S atom on the bottom of the
      slab and the mirror plane would be lost).
</li>
<li> The <b>Continue Insertions</b> button allows you to complete
     the atom insertion and keep the panel open to insert more atoms.
</li>
<li> The <b>Use Transform Editor</b> toggle allows you to use the mouse to
  move/rotate/translate the inserted atom in the viewer (or use the Transform
  panel from the Viewers menu). This may have unexpected results if you use it
  with symmetry as it currently doesn't fully update the structure until you
  have finished. This can result in more atoms suddenly being displayed than
  you expect when you drag an inserted atom off a high symmetry point.
</ul>
</p>

</BODY>
</HTML>
